Skip to Content
homemade
Dashboard

Get the current user

GET
/api/me

The key's owner and the teams it can reach. A team's id is the orgId other calls take.

Authorization

apiKey
headerAuthorizationBearer <hmk_…>

An API key from the dashboard or homemade api-key create.

Response Body

You and your teams.

application/json
  1. response
organizations*array<>
session*|

The browser session; null for an API key.

sshHostSuffix*string
user*
Example Request
curl -X GET 'https://api.homemade.dev/api/me'
Example Response
{  "organizations": [    {      "createdAt": "2019-08-24T14:15:22Z",      "id": "string",      "name": "string",      "slug": "string",      "property1": null,      "property2": null    }  ],  "session": {    "expiresAt": "2019-08-24T14:15:22Z",    "id": "string",    "property1": null,    "property2": null  },  "sshHostSuffix": "string",  "user": {    "email": "string",    "id": "string",    "name": "string",    "property1": null,    "property2": null  }}